## rsyslog 8.22.0

=== debian/changelog ===
rsyslog (8.22.0-1) wheezy; urgency=low

  * Created debs for 8.22.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 04 Oct 2016 16:01:08 +0200

rsyslog (8.21.0-1) wheezy; urgency=low

  * Created dens for 8.21.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 23 Aug 2016 17:00:26 +0200

rsyslog (8.20.0-2) wheezy; urgency=low

  * Updated package, fixed libfastjson dependency

 -- Florian Riedl <friedl@adiscon.com>  Wed, 20 Jul 2016 12:45:26 +0200

rsyslog (8.20.0-1) wheezy; urgency=low

  * Created debs for 8.20.0

 -- Florian Riedl <friedl@adiscon.com>  Wed, 20 Jul 2016 12:12:09 +0200

rsyslog (8.19.0-1) wheezy; urgency=low

  * Created debs for 8.19.0

 -- Florian Riedl <friedl@adiscon.com>  Mon, 30 May 2016 16:08:55 +0200

rsyslog (8.18.0-1) wheezy; urgency=low

  * Created debs for 8.18.0

 -- Florian Riedl <friedl@adiscon.com>  Mon, 18 Apr 2016 13:18:36 +0200

rsyslog (8.17.0-1) wheezy; urgency=low

  * Created debs for 8.17.0

 -- Florian Riedl <friedl@adiscon.com>  Mon, 07 Mar 2016 15:44:35 +0100

rsyslog (8.16.0-1) wheezy; urgency=low

  * Created debs for 8.16.0

 -- Florian Riedl <friedl@adiscon.com>  Fri, 22 Jan 2016 14:13:31 +0100

rsyslog (8.15.0-1) wheezy; urgency=low

  * Created debs for 8.15.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 15 Dec 2015 16:34:37 +0100

rsyslog (8.14.0-1) wheezy; urgency=low

  * Created debs for 8.14.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 03 Nov 2015 14:32:45 +0100

rsyslog (8.13.0-1) wheezy; urgency=low

  * Created debs for 8.13.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 22 Sep 2015 15:50:26 +0200

rsyslog (8.12.0-1) wheezy; urgency=low

  * Created debs for 8.12.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 11 Aug 2015 12:23:23 +0200

rsyslog (8.11.0-1) wheezy; urgency=low

  * Created debs for 8.11.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 30 Jun 2015 16:27:08 +0200

rsyslog (8.10.0-1) wheezy; urgency=low

  * Created debs of 8.10.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 19 May 2015 14:55:47 +0200

rsyslog (8.9.0-1) wheezy; urgency=low

  * Created debs of 8.9.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 07 Apr 2015 15:54:18 +0200

rsyslog (8.8.0.ad1-2) wheezy; urgency=low

  * Updated debs for 8.8.0.ad1 to use liblognorm 1.1.1

 -- Florian Riedl <friedl@adiscon.com>  Thu, 12 Mar 2015 10:43:22 +0100

rsyslog (8.8.0.ad1-1) wheezy; urgency=low

  * Created debs of 8.8.0.ad1

 -- Florian Riedl <friedl@adiscon.com>  Thu, 05 Mar 2015 11:49:55 +0100

rsyslog (8.8.0-1) wheezy; urgency=low

  * Created debs for 8.8.0

 -- Andre Lorbach <alorbach@adiscon.com>  Wed, 25 Feb 2015 09:17:02 +0100

rsyslog (8.7.0-1) wheezy; urgency=low

  * Created debs for 8.7.0

 -- Florian Riedl <friedl@adiscon.com>  Fri, 09 Jan 2015 11:21:59 +0100

rsyslog (8.6.0-1) wheezy; urgency=low

  * created debs for 8.6.0

 -- Florian Riedl <friedl@adiscon.com>  Mon, 01 Dec 2014 14:55:14 +0100

rsyslog (8.4.2.ad1-3) wheezy; urgency=low

  * rebuild

 -- Florian Riedl <friedl@adiscon.com>  Mon, 24 Nov 2014 16:43:31 +0100

rsyslog (8.4.2.ad1-2) wheezy; urgency=low

  * rebuild

 -- Florian Riedl <friedl@adiscon.com>  Mon, 24 Nov 2014 15:43:45 +0100

rsyslog (8.4.2.ad1-1) wheezy; urgency=low

  * Adiscon package for 8.4.2 with additional patches

 -- Florian Riedl <friedl@adiscon.com>  Wed, 12 Nov 2014 12:44:00 +0100

rsyslog (8.4.2-3) wheezy; urgency=low

  * rebuild

 -- Florian Riedl <friedl@adiscon.com>  Fri, 10 Oct 2014 14:39:50 +0200

rsyslog (8.4.2-2) wheezy; urgency=low

  * rebuild

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 10 Oct 2014 11:52:05 +0200

rsyslog (8.4.2-1) wheezy; urgency=low

  * Created debs for 8.4.2

 -- Andre Lorbach <alorbach@adiscon.com>  Thu, 02 Oct 2014 08:29:59 +0200

rsyslog (8.4.1-2) wheezy; urgency=low

  * added mmexternal module

 -- Andre Lorbach <alorbach@adiscon.com>  Thu, 02 Oct 2014 07:15:42 +0200

rsyslog (8.4.1-1) wheezy; urgency=low

  * Created debs for 8.4.1

 -- Andre Lorbach <alorbach@adiscon.com>  Tue, 30 Sep 2014 11:42:27 +0200

rsyslog (8.2.2-1) wheezy; urgency=low

  * Created debs for 8.2.2

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 06 Jun 2014 10:55:53 +0200

rsyslog (8.2.1-1) wheezy; urgency=low

  * created debs for 8.2.1

 -- Andre Lorbach <alorbach@adiscon.com>  Tue, 22 Apr 2014 15:14:20 +0200

rsyslog (8.2.0-2) wheezy; urgency=low

  * removed jemalloc support 

 -- Andre Lorbach <alorbach@adiscon.com>  Wed, 16 Apr 2014 16:37:28 +0200

rsyslog (8.2.0-1) wheezy; urgency=low

  * created debs for v8-stable

 -- Andre Lorbach <alorbach@adiscon.com>  Tue, 08 Apr 2014 11:33:15 +0200

rsyslog (8.1.6-3) wheezy; urgency=low

  * fixed missing libs

 -- Andre Lorbach <alorbach@adiscon.com>  Thu, 06 Mar 2014 12:15:46 +0100

rsyslog (8.1.6-2) wheezy; urgency=low

  * added missing depends

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 21 Feb 2014 17:33:33 +0100

rsyslog (8.1.6-1) wheezy; urgency=low

  * Updated debs for RSyslog v8-devel 8.1.6

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 21 Feb 2014 17:21:22 +0100

rsyslog (8.1.3-1) wheezy; urgency=low

  * Updated debs for RSyslog v8-devel 8.1.3

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 06 Dec 2013 12:31:12 +0100

rsyslog (8.1.2-3) wheezy; urgency=low

  * Fixed liblognorm dependency

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 29 Nov 2013 16:06:41 +0100

rsyslog (8.1.2-1) wheezy; urgency=low

  * Updated debs for RSyslog v8-devel 8.1.2

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 29 Nov 2013 09:53:45 +0100

rsyslog (8.1.1-1) wheezy; urgency=low

  * Updated debs for RSyslog v8-devel 8.1.1 

 -- Andre Lorbach <alorbach@adiscon.com>  Tue, 19 Nov 2013 13:32:55 +0100

rsyslog (8.1.0-2) wheezy; urgency=low

  * Final Release for RSyslog v8 devel

 -- Andre Lorbach <alorbach@adiscon.com>  Fri, 15 Nov 2013 15:42:47 +0100

rsyslog (8.1.0-1) wheezy; urgency=low

  * Initial Release for RSyslog V8 Devel branch

 -- Andre Lorbach <alorbach@adiscon.com>  Thu, 14 Nov 2013 15:28:33 +0100

rsyslog (7.5.6-4) wheezy; urgency=low


