=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS), linux)
confflags += 	--enable-imptcp \
		--enable-imjournal \
		--enable-omjournal \
		--enable-kmsg
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(confflags) \
		--enable-mysql \
		--enable-pgsql \
		--enable-ommongodb \
		--enable-elasticsearch \
		--enable-omkafka \
		--enable-mail \
		--enable-imfile \
		--enable-impstats \
		--enable-klog \
		--enable-liblogging-stdlog \
		--enable-gssapi-krb5 \
		--enable-gnutls \
		--enable-relp \
		--enable-pmaixforwardedfrom \
		--enable-pmcisconames \
		--enable-pmlastmsg \
		--enable-pmsnare \
		--enable-omprog \
		--enable-omuxsock \
		--enable-mmanon \
		--enable-mmnormalize \
		--enable-mmjsonparse \
		--enable-mmutf8fix \
		--enable-mmpstrucdata \
		--enable-mmsequence \
		--enable-omhiredis \
		--disable-libgcrypt \
		--enable-testbench \
		--enable-imdiag \
		--disable-generate-man-pages \
		--with-systemdsystemunitdir=/lib/systemd/system

override_dh_auto_install:
	dh_auto_install
	install --mode=644 -D plugins/ommysql/createDB.sql \
		debian/rsyslog-mysql/usr/share/dbconfig-common/data/rsyslog-mysql/install/mysql
	install --mode=644 -D plugins/ompgsql/createDB.sql \
		debian/rsyslog-pgsql/usr/share/dbconfig-common/data/rsyslog-pgsql/install/pgsql

override_dh_install:
	dh_install -X .la --list-missing

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	make check || ( cat tests/test-suite.log; exit 1; )
endif
