=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-exec,
                zlib1g-dev,
                libhiredis-dev,
-               libmysqlclient-dev,
+               default-libmysqlclient-dev,
                libpq-dev,
                libmongo-client-dev (>= 0.1.4),
                libcurl4-gnutls-dev,
@@ -19,6 +19,7 @@
                liblognorm-dev (>= 2.0.0),
                liblogging-stdlog-dev (>= 1.0.3),
                libfastjson-dev (>= 0.99.3),
+               libczmq-dev,
                uuid-dev,
                libsystemd-dev (>= 209) [linux-any],
                pkg-config,
@@ -38,6 +39,7 @@
           linux-kernel-log-daemon
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         init-system-helpers (>= 1.47~),
          lsb-base (>= 3.2-14)
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
@@ -70,8 +72,8 @@
          rsyslog (= ${binary:Version}),
          dbconfig-common,
          ucf
-Recommends: mysql-client | virtual-mysql-client
-Suggests: mysql-server | virtual-mysql-server
+Recommends: default-mysql-client | virtual-mysql-client
+Suggests: default-mysql-server | virtual-mysql-server
 Description: MySQL output plugin for rsyslog
  This plugin allows rsyslog to write syslog messages into a MySQL database.
 
@@ -156,6 +158,16 @@
  RELP protocol. RELP ensures reliable transport over the network even on
  connection loss or if a peer becomes unavailable.
 
+Package: rsyslog-czmq
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         rsyslog (= ${binary:Version})
+Description: ZeroMQ protocol support for rsyslog via CZMQ
+ These plugins allows rsyslog to send and receive ZeroMQ syslog
+ messages via the CZMQ library.
+
 Package: rsyslog-hiredis
 Architecture: any
 Priority: extra
