=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,8 @@
 		--enable-mmutf8fix \
 		--enable-mmpstrucdata \
 		--enable-mmsequence \
+		--enable-imczmq \
+		--enable-omczmq \
 		--enable-omhiredis \
 		--disable-libgcrypt \
 		--enable-testbench \
