## rsyslog 8.26.0

=== debian/changelog ===
rsyslog (8.26.0-2) wheezy; urgency=low

  * Repackage of 8.26.0

 -- Florian Riedl <friedl@adiscon.com>  Mon, 08 May 2017 17:00:53 +0200

rsyslog (8.26.0-1) wheezy; urgency=low

  * Created debs for 8.26.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 04 Apr 2017 12:25:00 +0200

rsyslog (8.25.0-1) wheezy; urgency=low

  * Created debs for 8.25.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 21 Feb 2017 12:20:00 +0200

rsyslog (8.24.0-1) wheezy; urgency=low

  * Created debs for 8.24.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 10 Jan 2017 12:22:36 +0100

rsyslog (8.23.0-1) wheezy; urgency=low

  * Created debs for 8.23.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 15 Nov 2016 11:23:23 +0100
