=== debian/control ===
Source: rsyslog
Section: admin
Priority: important
Maintainer: Andre Lorbach <alorbach@adiscon.com>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends:	debhelper (>= 8),
		dpkg-dev (>= 1.16.1),
		dh-autoreconf,
		dh-systemd (>= 1.4),
		zlib1g-dev,
		libmysqlclient-dev,
		libpq-dev,
		libmongo-client-dev (>= 0.1.4),
		libglib2.0-dev,
#		libkrb5-dev,
		libgnutls-dev,
		librelp-dev (>= 1.0.3),
		libestr-dev (>= 0.1.5),
		libee-dev (>= 0.4.0),
		liblognorm1-dev,
		libfastjson-dev,
		uuid-dev,
		pkg-config,
		libcurl4-gnutls-dev,
		bison,
		libgt-dev,
		libksi1-dev,
		python-docutils, 
	        liblogging-stdlog-dev
#	        libjemalloc-dev
Standards-Version: 3.9.4
XSBC-Original-Vcs-Git: git://git.debian.org/git/collab-maint/rsyslog.git
XSBC-Original-Vcs-Browser: http://git.debian.org/?p=collab-maint/rsyslog.git;a=summary
Homepage: http://www.rsyslog.com/

Package: rsyslog
Architecture: any
Priority: important
Conflicts: system-log-daemon,
           linux-kernel-log-daemon
Provides: system-log-daemon,
          linux-kernel-log-daemon
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base (>= 3.2-14),
         initscripts (>= 2.88dsf-13.3),
	 libjson0,
	 libjemalloc1,
	 liblogging-stdlog1,
	 libgt0
Recommends: logrotate
Suggests: rsyslog-mysql | rsyslog-pgsql,
          rsyslog-mongodb,
          rsyslog-doc,
          rsyslog-gnutls,
          rsyslog-gssapi,
          rsyslog-relp,
          rsyslog-elasticsearch,
          rsyslog-mmjsonparse,
          rsyslog-imptcp
Description: reliable system and kernel logging daemon
 Rsyslog is a multi-threaded implementation of syslogd (a system utility
 providing support for message logging), with features that include:
  * reliable syslog over TCP, SSL/TLS and RELP
  * on-demand disk buffering
  * email alerting
  * writing to MySQL or PostgreSQL databases (via separate output plugins)
  * permitted sender lists
  * filtering on any part of the syslog message
  * on-the-wire message compression
  * fine-grained output format control
  * failover to backup destinations
  * enterprise-class encrypted syslog relaying
 .
 It is the default syslogd on Debian systems.

Package: rsyslog-doc
Section: doc
Priority: extra
Architecture: all
Breaks: rsyslog (<< 2.0.1-2)
Replaces: rsyslog (<< 2.0.1-2)
Depends: ${misc:Depends}
Suggests: doc-base,
          www-browser
Description: documentation for rsyslog
 This package contains detailed HTML documentation for rsyslog.
 .
 It describes the general configuration file syntax for filters, actions,
 templates, etc, and has detailed information for all available configuration
 directives.

Package: rsyslog-mysql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-common,
         ucf
Recommends: mysql-client
Suggests: mysql-server
Description: MySQL output plugin for rsyslog
 This plugin allows rsyslog to write the syslog messages into a MySQL database.

Package: rsyslog-pgsql
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-common,
         ucf
Recommends: postgresql-client
Suggests: postgresql
Description: PostgreSQL output plugin for rsyslog
 This plugin allows rsyslog to write the syslog messages into a PostgreSQL
 database.

Package: rsyslog-mongodb
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Recommends: mongodb-server
Description: MongoDB output plugin for rsyslog
 This plugin allows rsyslog to write the syslog messages to MongoDB, a
 scalable, high-performance, open source NoSQL database.

#Package: rsyslog-gssapi
#Architecture: any
#Priority: extra
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#         rsyslog (= ${binary:Version})
#Suggests: krb5-user
#Description: GSSAPI authentication and encryption support for rsyslog
# These plugins allow rsyslog to write and/or receive GSSAPI authenticated and
# encrypted syslog messages. GSSAPI is commonly used for Kerberos
# authentication.

Package: rsyslog-gnutls
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: gnutls-bin
Description: TLS protocol support for rsyslog
 This netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the upcoming syslog-transport-tls IETF standard protocol.

Package: rsyslog-relp
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: RELP protocol support for rsyslog
 These plugins allows rsyslog to send and receive syslog messages via the
 RELP protocol. RELP ensures reliable transport over the network even on
 connection loss or if a peer becomes unavailable.

Package: rsyslog-elasticsearch
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: Elasticsearch output support for rsyslog
 This output plugin is for indexing your syslog messages in
 Elasticsearch, via JSON over HTTP.

Package: rsyslog-imptcp
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: High-performance, threaded TCP input module for rsyslog
 This is a plugin which offers similar functionality to imtcp,
 only it's optimized for performance and you can configure multiple
 threads.

Package: rsyslog-mmfields
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         liblognorm1
Description: Parse all fields of the message into structured data inside the JSON tree.
