## rsyslog 8.27.0

=== debian/changelog ===
rsyslog (8.27.0-1) wheezy; urgency=low

  * Created debs for 8.27.0

 -- Florian Riedl <friedl@adiscon.com>  Tue, 16 May 2017 12:10:42 +0200
