=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
 		libgnutls-dev,
 		librelp-dev (>= 1.0.3),
 		libestr-dev (>= 0.1.5),
-		libee-dev (>= 0.4.0),
+#		libee-dev (>= 0.4.0),
 		liblognorm1-dev,
-		libfastjson-dev,
+		libfastjson (>= 0.99.5),
 		uuid-dev,
 		pkg-config,
 		libcurl4-gnutls-dev,
