=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -std=c99

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ --with autoreconf,systemd

ifeq ($(DEB_HOST_ARCH_OS), linux)
confflags += 	--enable-imptcp \
		--enable-kmsg
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(confflags) \
		--enable-mysql \
		--enable-pgsql \
		--enable-ommongodb \
		--enable-mail \
		--enable-imfile \
		--enable-impstats \
		--enable-klog \
		--enable-gnutls \
		--enable-relp \
		--enable-pmaixforwardedfrom \
		--enable-pmcisconames \
		--enable-pmlastmsg \
		--enable-pmrfc3164sd \
		--enable-pmsnare \
		--enable-omprog \
		--enable-omuxsock \
		--enable-mmanon \
		--enable-mmnormalize \
		--enable-mmjsonparse \
                --enable-elasticsearch \
                --enable-imptcp \
		--enable-guardtime \
		--enable-usertools \
		--enable-mmfields \
		--enable-mmpstrucdata \
		--enable-mmsequence \
		--enable-usertools \
		--enable-gt-ksi \
		--disable-testbench \
		--disable-liblogging-stdlog \
		--with-systemdsystemunitdir=/lib/systemd/system
#               --enable-jemalloc \
#		--disable-libgcrypt \

override_dh_auto_install:
	dh_auto_install
	install --mode=644 -D plugins/ommysql/createDB.sql \
		debian/rsyslog-mysql/usr/share/dbconfig-common/data/rsyslog-mysql/install/mysql
	install --mode=644 -D plugins/ompgsql/createDB.sql \
		debian/rsyslog-pgsql/usr/share/dbconfig-common/data/rsyslog-pgsql/install/pgsql

override_dh_install:
	dh_install -X .la --list-missing
ifeq ($(DEB_HOST_ARCH_OS), linux)
	install --mode=644 debian/tmp/usr/lib/rsyslog/imkmsg.so \
		debian/rsyslog/usr/lib/rsyslog/
	install --mode=644 debian/tmp/usr/lib/rsyslog/imptcp.so \
		debian/rsyslog/usr/lib/rsyslog/
endif

override_dh_compress:
	dh_compress -X rsyslog-example.conf

override_dh_installinit:
	dh_installinit -R
