## rsyslog 8.32.0

=== debian/changelog ===
rsyslog (8.32.0-1ubuntu4.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2022-24903.patch: fix a potential heap buffer overflow
      adding boundary checks in contrib/imhttp/imhttp.c,
      plugins/imptcp/imptcp.c, runtime/tcps_sess.c.
    - CVE-2022-24903

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 03 May 2022 06:20:37 -0300

rsyslog (8.32.0-1ubuntu4) bionic; urgency=medium

  [ Jamie Strandboge ]
  * debian/usr.sbin.rsyslogd: updates for bionic (LP: #1766600)
    - allow rsyslog modules in multiarch directories
    - allow writing temporary pidfile

  [ Dimitri John Ledkov ]
  * Tolerate installing rsyslog, on systems without systemd installed. LP:
    #1766574

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Apr 2018 15:47:41 +0100

rsyslog (8.32.0-1ubuntu3) bionic; urgency=medium

  * tmpfiles.d: Let var.conf to create /var/log with 'd' directive, and
    only adjust the permissions of /var/log with 'z' directive, thus
    avoiding warnings about duplicate lines for path /var/log. LP:
    #1730028

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Apr 2018 14:44:54 +0100

rsyslog (8.32.0-1ubuntu2) bionic; urgency=medium

  * Ensure correct permissions on files that rsyslog writes to. LP:
    #1761630
  * Drop upgrade scripts from pre-xenial.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Apr 2018 13:17:34 +0100

rsyslog (8.32.0-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/00rsyslog.conf Install tmpfiles.d snippet to ensure that the syslog
      group can write into /var/log/.
    - debian/50-default.conf: set of default rules for syslog
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as rsyslog:rsyslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add disabled by default AppArmor profile:
      + add debian/usr.sbin.rsyslogd profile
      + debian/usr.sbin.rsyslogd: allow 'w' on /run/systemd/notify
    - debian/rules:
      + use dh_apparmor to install profile before rsyslog is
      + Fix LDFLAGS to avoid segfault on receipt of first message
      + Disable liblogging-stdlog since liblogging-stdlog-dev is in Universe
      + Build with --disable-silent-rules to get useful build logs.
    - debian/control:
      + suggests apparmor (>= 2.3)
      + Build-Depends on dh-apparmor
      + Drop Build-Depends for Universe Packages [only liblognorm-dev now]
      + Add Depends for adduser, ucf and lsb-base.
      + Add versioned dependency on lsb-base for the use of init_is_upstart.
    - debian/rsyslog.install:
      + install profile to /etc/apparmor.d
      + Install default rules and tmpfiles.d config file
      + Drop install for files in packages that are not built
    - debian/rsyslog.dirs: install /etc/apparmor.d/force-complain,
      /etc/apparmor.d/disable and /etc/apparmor.d/local
    - debian/rsyslog.preinst: disable profile on clean installs.
    - debian/rsyslog.postinst:
      + Adapt script to use ucf for Ubuntu's conffiles
      + fix ownership of /var/spool/rsyslog.
      + Create syslog user and add it to adm group
      + Adapt privileges for /var/log
    - debian/rsyslog.postrm:
      + Remove file in postrm on purge. manage with ucf.
    - debian/rsyslog.logcheck.ignore.server: Suppress warning about duplicate
      tmpfiles.d line for /var/log, from our debian/00rsyslog.conf.
    - Drop mmnormalize module, which depends on liblognorm from universe.
  * Dropped changes due to archive re-org, packages will be in universe:
    - Drop rsyslog-mongodb package, depends on libmongo-client which is not
      in main.
    - Drop kafka package, depends on librdkafka from universe.
    - Drop rsyslog-czmq, depends on libczmq-dev from universe.
    - debian/control:
      + Drop Suggests for unbuilt packages
  * Dropped changes, applied in Debian:
    - Cherry pick restart on configuration changes fix from Debian (LP: #1668639)
  * Dropped changes, applied upstream:
    - debian/patches/fix-permitnonkernelfacility-1703987.patch: Fix
      hetting of permitnonkernelfacility with new style config.
      (LP: #1703987)
    - fix-tls-connection-errrors.patch: Resolve unexpected GnuTLS error -50.
      (LP: #1673717)
  * Drop xconsole integration in 50-defaults (LP: #1746012)
  * debian/clean: Delete some files left over by test suite so we can
    build the source package again after building binaries

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 30 Jan 2018 20:36:24 +0100

rsyslog (8.32.0-1) unstable; urgency=medium

  * New upstream version 8.32.0
  * Bump Build-Depends as per configure.ac.
    Bump libfastjson-dev to (>= 0.99.8) and libczmq-dev to (>= 3.0.2).
  * Disable valgrind testbench again.
    Those tests using valgrind turned out to be too brittle. (Closes: #884305)
  * Disable libcurl support.
    This means that the new http_request() functionality is not available
    but avoids a dependency on libcurl in rsyslog core.
  * Update Vcs-* to point to salsa.debian.org (gitlab)

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jan 2018 12:48:11 +0100

rsyslog (8.31.0-2) unstable; urgency=medium

  * Add Build-Depends on systemd to allow journal related tests to run
  * Extend list of architectures for valgrind Build-Depends.
    Run valgrind related tests on all release architectures where valgrind
    is available.
  * Bump Standards-Version to 4.1.2

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Dec 2017 13:09:35 +0100

rsyslog (8.31.0-1) unstable; urgency=medium

  * New upstream version 8.31.0
  * Switch from libmongo-client to libmongoc
  * Rebase patches
  * Set Rules-Requires-Root to no
  * Add Build-Depends on python for running the test suite
  * Add Build-Depends on libfaketime and valgrind.
    This allows more tests to run which would otherwise be skipped.

