=== debian/control ===
Source: rsyslog
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10.3),
               dh-exec,
               dh-apparmor,
               autoconf-archive,
               zlib1g-dev,
               libhiredis-dev,
               default-libmysqlclient-dev,
               libpq-dev,
               libmongoc-dev,
               libcurl4-gnutls-dev,
               librdkafka-dev (>= 0.9.1),
               libkrb5-dev,
               libgnutls28-dev,
               librelp-dev (>= 1.2.14),
               libestr-dev (>= 0.1.9),
               liblogging-stdlog-dev (>= 1.0.3),
               libfastjson-dev (>= 0.99.8),
               libczmq-dev (>= 3.0.2),
               uuid-dev,
               libsystemd-dev (>= 209) [linux-any],
               pkg-config,
               bison,
               flex,
               procps <!nocheck>,
               python <!nocheck>,
               libfaketime <!nocheck>,
               systemd [linux-any] <!nocheck>
Standards-Version: 4.1.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
Vcs-Browser: https://salsa.debian.org/debian/rsyslog
Homepage: http://www.rsyslog.com/

Package: rsyslog
Architecture: any
Priority: important
Conflicts: system-log-daemon,
           linux-kernel-log-daemon
Provides: system-log-daemon,
          linux-kernel-log-daemon
Depends: ${shlibs:Depends},
         ${misc:Depends},
         init-system-helpers (>= 1.47~),
         lsb-base (>= 3.2-14),
         adduser,
         ucf
Recommends: logrotate
Suggests: rsyslog-mysql | rsyslog-pgsql,
          rsyslog-doc,
          rsyslog-gnutls,
          rsyslog-gssapi,
          rsyslog-relp,
          apparmor (>= 2.8.96~2541-0ubuntu4~)
Description: reliable system and kernel logging daemon
 Rsyslog is a multi-threaded implementation of syslogd (a system utility
 providing support for message logging), with features that include:
  * reliable syslog over TCP, SSL/TLS and RELP
  * on-demand disk buffering
  * email alerting
  * writing to MySQL or PostgreSQL databases (via separate output plugins)
  * permitted sender lists
  * filtering on any part of the syslog message
  * on-the-wire message compression
  * fine-grained output format control
  * failover to backup destinations
  * enterprise-class encrypted syslog relaying
 .
 It is the default syslogd on Debian systems.

Package: rsyslog-mysql
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-common,
         ucf
Recommends: default-mysql-client | virtual-mysql-client
Suggests: default-mysql-server | virtual-mysql-server
Description: MySQL output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages into a MySQL database.

Package: rsyslog-pgsql
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
         dbconfig-common,
         ucf
Recommends: postgresql-client
Suggests: postgresql
Description: PostgreSQL output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages into a PostgreSQL
 database.

Package: rsyslog-mongodb
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Recommends: mongodb-server
Description: MongoDB output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages to MongoDB, a
 scalable, high-performance, open source NoSQL database.

Package: rsyslog-elasticsearch
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: Elasticsearch output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages to Elasticsearch, a
 distributed, multitenant-capable full-text search engine with a RESTful web
 interface and schema-free JSON documents.

Package: rsyslog-kafka
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version}),
Description: Apache Kafka support for rsyslog
 These plugins allow rsyslog to send and receive syslog messages via Apache
 Kafka, a distributed and scalable message broker offering strong durability
 and fault-tolerance guarantees.

Package: rsyslog-gssapi
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: krb5-user
Description: GSSAPI authentication and encryption support for rsyslog
 These plugins allow rsyslog to write and/or receive GSSAPI authenticated and
 encrypted syslog messages. GSSAPI is commonly used for Kerberos
 authentication.

Package: rsyslog-gnutls
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Suggests: gnutls-bin
Description: TLS protocol support for rsyslog
 This netstream plugin allows rsyslog to send and receive encrypted syslog
 messages via the upcoming syslog-transport-tls IETF standard protocol.

Package: rsyslog-relp
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: RELP protocol support for rsyslog
 These plugins allow rsyslog to send and receive syslog messages via the
 RELP protocol. RELP ensures reliable transport over the network even on
 connection loss or if a peer becomes unavailable.

Package: rsyslog-czmq
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: ZeroMQ protocol support for rsyslog via CZMQ
 These plugins allows rsyslog to send and receive ZeroMQ syslog
 messages via the CZMQ library.

Package: rsyslog-hiredis
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rsyslog (= ${binary:Version})
Description: Redis output plugin for rsyslog
 This plugin allows rsyslog to write syslog messages to Redis, a
 key-value database in a similar vein to memcache but the dataset
 is non-volatile.
