=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DPATH_PIDFILE=\"/run/rsyslogd.pid\"

# the default LDFLAGS="-Wl,-Bsymbolic-functions" caused rsyslog to
# segfault on receipt of first message (see LP: #794230)
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS), linux)
confflags += 	--enable-imptcp \
		--enable-imjournal \
		--enable-omjournal \
		--enable-kmsg
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(confflags) \
		--disable-silent-rules \
		--enable-mysql \
		--enable-pgsql \
		--enable-ommongodb \
		--enable-elasticsearch \
		--enable-imkafka \
		--enable-omkafka \
		--enable-mail \
		--enable-imfile \
		--enable-impstats \
		--enable-klog \
		--disable-liblogging-stdlog \
		--enable-gssapi-krb5 \
		--enable-gnutls \
		--enable-relp \
		--enable-pmaixforwardedfrom \
		--enable-pmcisconames \
		--enable-pmlastmsg \
		--enable-pmsnare \
		--enable-omstdout \
		--enable-omprog \
		--enable-omuxsock \
		--enable-mmanon \
		--enable-mmjsonparse \
		--enable-mmutf8fix \
		--enable-mmpstrucdata \
		--enable-mmsequence \
		--enable-mmfields \
		--enable-imczmq \
		--enable-omczmq \
		--enable-omhiredis \
		--disable-libgcrypt \
		--enable-testbench \
		--enable-imdiag \
		--disable-generate-man-pages \
		--disable-libcurl \
		--without-valgrind-testbench \
		--with-systemdsystemunitdir=/lib/systemd/system

override_dh_auto_install:
	dh_auto_install
	install --mode=644 -D plugins/ommysql/createDB.sql \
		debian/rsyslog-mysql/usr/share/dbconfig-common/data/rsyslog-mysql/install/mysql
	install --mode=644 -D plugins/ompgsql/createDB.sql \
		debian/rsyslog-pgsql/usr/share/dbconfig-common/data/rsyslog-pgsql/install/pgsql

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_installinit:
	dh_apparmor --profile-name=usr.sbin.rsyslogd -prsyslog
	dh_installinit

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	make check || ( cat tests/test-suite.log; exit 1; )
endif
