## rsyslog 8.39.0

=== debian/changelog ===
rsyslog (8.39.0-1+hurd.1) unreleased; urgency=medium

  * Apply patches from Bug#900718.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 19:43:54 +0000

rsyslog (8.39.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Michael Biebl ]
  * New upstream version 8.39.0
  * Add Build-Depends on lsof.
    Required by omprog-restart-terminated.sh and
    omprog-restart-terminated-outfile.sh which are otherwise skipped when
    running the test-suite.
  * Drop lmstrmsrv.so module.
    The module was removed upstream as it was no longer needed.
  * Run queue-encryption-* tests only if gcrypt support is enabled

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Oct 2018 10:45:39 +0100

rsyslog (8.38.0-1) unstable; urgency=medium

  * New upstream version 8.38.0
  * Bump Standards-Version to 4.2.1

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Sep 2018 19:46:09 +0200

rsyslog (8.37.0-2) unstable; urgency=medium

  * Bump Build-Depends on librelp to (>= 1.2.16)
  * Simplify dh_auto_test override a bit

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Aug 2018 02:44:37 +0200

rsyslog (8.37.0-1) unstable; urgency=medium

  * New upstream version 8.37.0
  * Rebase patches
  * Enable mmrm1stspace module
  * Enable fmhash module

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Aug 2018 09:49:32 +0200

rsyslog (8.36.0-1) unstable; urgency=medium

  * New upstream version 8.36.0
  * Rebase patches
  * Disable liblogging-stdlog support.
    This functionality is scheduled to be removed upstream in one of the
    upcoming releases.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Jun 2018 19:29:08 +0200

rsyslog (8.35.0-1) unstable; urgency=medium

  * New upstream version 8.35.0
  * Rebase patches
  * Drop obsolete --disable-libcurl configure switch
  * rsyslog.service: move LimitNOFILE to correct section
  * Drop versioned init-system-helpers dependency.
    The version in stable is recent enough and init-system-helpers is
    Essential, so the dependency is no longer needed.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Jun 2018 17:13:45 +0200

rsyslog (8.34.0-1) unstable; urgency=medium

  * New upstream version 8.34.0
  * Fix configure switch for atomic operations
  * Disable fmhttp function module.
    http_requrest is now implemented as a loadable function module, but
    since we disable libcurl support, disable fmhttp as well.

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Apr 2018 21:40:49 +0200

rsyslog (8.33.1-1) unstable; urgency=medium

  * New upstream version 8.33.1
  * Rebase patches
  * Drop old upgrade code from pre-jessie

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Mar 2018 18:52:11 +0100
