=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: rsyslog
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10.3),
                dh-exec,
-               dh-apparmor,
                autoconf-archive,
                zlib1g-dev,
                libhiredis-dev,
@@ -16,9 +14,9 @@
                librdkafka-dev (>= 0.9.1),
                libkrb5-dev,
                libgnutls28-dev,
-               librelp-dev (>= 1.2.14),
+               librelp-dev (>= 1.2.16),
                libestr-dev (>= 0.1.9),
-               liblogging-stdlog-dev (>= 1.0.3),
+               liblognorm-dev (>= 2.0.3),
                libfastjson-dev (>= 0.99.8),
                libczmq-dev (>= 3.0.2),
                uuid-dev,
@@ -29,8 +27,9 @@
                procps <!nocheck>,
                python <!nocheck>,
                libfaketime <!nocheck>,
-               systemd [linux-any] <!nocheck>
-Standards-Version: 4.1.2
+               systemd [linux-any] <!nocheck>,
+               lsof [linux-any] <!nocheck>,
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/rsyslog.git
 Vcs-Browser: https://salsa.debian.org/debian/rsyslog
@@ -45,17 +44,14 @@
           linux-kernel-log-daemon
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         init-system-helpers (>= 1.47~),
-         lsb-base (>= 3.2-14),
-         adduser,
-         ucf
+         lsb-base (>= 3.2-14)
 Recommends: logrotate
 Suggests: rsyslog-mysql | rsyslog-pgsql,
+          rsyslog-mongodb,
           rsyslog-doc,
           rsyslog-gnutls,
           rsyslog-gssapi,
-          rsyslog-relp,
-          apparmor (>= 2.8.96~2541-0ubuntu4~)
+          rsyslog-relp
 Description: reliable system and kernel logging daemon
  Rsyslog is a multi-threaded implementation of syslogd (a system utility
  providing support for message logging), with features that include:
